Bug 143935 - cups-config-daemon running during anaconda
Summary: cups-config-daemon running during anaconda
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal-cups-utils   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-01 23:23 UTC by Warren Togami
Modified: 2013-03-13 04:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-19 00:25:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Warren Togami 2005-01-01 23:23:29 UTC
Description of problem:
I noticed that cups-config-daemon was running during anaconda.  This
is only a minor problem in using system resources (mainly RAM), and it
is useless while running during installation.

%post
/sbin/chkconfig --add cups-config-daemon

if [ $1 -eq 1 ]; then
        /sbin/service cups-config-daemon start > /dev/null 2>&1
else
        /sbin/service cups-config-daemon condrestart > /dev/null 2>&1
fi

It really shouldn't start the service here.  Other services don't work
this way.  They should be added using chkconfig, and it will start
automatically during boot.

Comment 1 Warren Togami 2005-03-19 00:25:38 UTC
Doh, you fixed this last month.


Note You need to log in before you can comment on or make changes to this bug.